PILOTMANAGER(1)

NAME
PilotManager - Unix-based manager for PalmOS devices

SYNOPSIS

PilotManager [ -rcdir dir ] [ -sync | -syncwith conduit... | -install file... | -daemon ]

pilot-manager [ -rcdir dir ] [ -sync | -syncwith conduit... | -install file... | -daemon ]

DESCRIPTION
PilotManager allows you to synchronize databases with your PalmOS-based devices, such as PalmPilot(tm), Visor(tm), etc. Comes with several basic conduits, and more can easily be plugged in.

OPTIONS

-sync
    Attempt to synchronize immediately, without user interaction.

-syncwith conduit...
    Attempts to synchronize using the specified conduit(s), rather than the "active" conduits.

-install file...
    Uses the Installer conduit to install the file(s) specified on the command line (should be .prc or .pdb files).

-daemon
    Causes PilotManager to run in the background, waiting for HotSync events.

-rcdir dir
    Specify the directory to use for configuration files and storage (defaults to $HOME/.pilotmgr/).

SETUP
When you first run PilotManager you will need to configure it and select the conduits you wish to use. At a minimum, you should select the Backup and Installer conduits. At the main menu, choose File, then Properties. A new window will appear where you can configure the HotSync device (if necessary), set some other options, and select and configure your conduits. To activate an inactive conduit, select it with the mouse, then click on "<< Move" to move it to the Active Conduits list.

You can configure an active conduit by selecting it and then pressing the button labelled "Configure". Press "Dismiss" when finished.

SYNCHRONIZING
Once you have configured PilotManager to your liking, return to the main window, insert your PalmOS device in its cradle, and press the HotSync button. This is the round button with red and blue arrows, just above the words "Synchronization Status". PilotManager will ask you to press the HotSync button on your cradle. When you do so, all of the conduits will run, and diagnostic messages will appear in the large scrolling text area in the middle of the main PilotManager window. When you see "Synchronization Complete", you are done.

CONDUITS
PilotManager comes with several conduits, which act on data in the Palm device and on local files. Most of the conduits will use a subdirectory under $HOME/.pilotmgr with the same name as the conduit. More conduits are available from various sources, and instructions on writing your own conduits can be found in the on-line help.

Backup
    Lets you archive your applications and databases on your workstation, painlessly. It is mildly intelligent about not backing up databases if they haven't changed (but only mildly). Can be configured to keep a certain number of older backups. The most recent backup can be found in $HOME/.pilotmgr/Backup/LatestArchive.

Installer
    This conduit is used to install new applications and databases on your Palm device.

SyncTime
    Sets the Palm device time and date to match that of your workstation at regular intervals (daily, weekly, monthly).

SyncMemo
    Synchronizes text files on your workstation with memos on your Palm device. These files are kept in $HOME/SyncMemo, in subdirectories named after the memo categories. New updates/files in these directories get copied to the Palm device, and new updates/memos in the Palm device get copied to the filesystem.

SyncPlan
    Synchronizes your Palm device's datebook with the Plan calendar program (see plan(1)). You must have the plan application installed and running on your workstation for this conduit to be useful.

SyncAB
    Imports and exports your address book data. Uses CSV format, and has partial support for vCards. (Originally designed to work with Solaris 7 address manager.)

SyncFood
    Synchronize your restaurant database. The Palm app and the Unix app (a perl script) for this conduit can be found in the /usr/share/doc/pilot-manager/contrib/alan-harder directory.

SendMail
    A still-experimental conduit to send email from your Palm device.

FILES

/usr/share/perl5/PilotMgr/*
    System-wide conduits may be found here.

/usr/share/perl5/PilotMgr/doc/*
    Online documentation.

$HOME/.pilotmgr
    Personal conduits may be installed here. Also, conduits may create their own subdirectories here.

SEE ALSO
The online help in PilotManager and the official web page at http://www.moshpit.org/pilotmgr/

AUTHOR
PilotManager was written by Bharat Mediratta, and is currently maintained by Alan Harder.

This manual page was written by Chris Waters <xtifr@debian.org> expressly for Debian GNU/Linux (The innocent authors of PilotManager should not be blamed for errors in this manual. This is a first draft manual, all comments, suggestions and criticisms welcomed.)

COPYRIGHT
PilotManager is copyright (c) 1997 by Sun Microsystems, Inc.